Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.metadata
Class ParentDocumentRelationshipType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.xds.metadata.ParentDocumentRelationshipType

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class ParentDocumentRelationshipType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Parent Document Relationship Type', and utility methods for working with them.

See Also:
  `MetadataPackage.getParentDocumentRelationshipType()`

Field Summary
`static int` | `APND` The 'APND' literal value.
`static ParentDocumentRelationshipType` | `APND_LITERAL` The 'APND' literal object.
`static int` | `RPLC` The 'RPLC' literal value.
`static ParentDocumentRelationshipType` | `RPLC_LITERAL` The 'RPLC' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Parent Document Relationship Type' enumerators.
`static int` | `XFRM` The 'XFRM' literal value.
`static ParentDocumentRelationshipType` | `XFRM_LITERAL` The 'XFRM' literal object.
`static int` | `XFRMRPLC` The 'XFRMRPLC' literal value.
`static ParentDocumentRelationshipType` | `XFRMRPLC_LITERAL` The 'XFRMRPLC' literal object.

Method Summary
`static ParentDocumentRelationshipType` | `get(int value)` Returns the 'Parent Document Relationship Type' literal with the specified integer value.
`static ParentDocumentRelationshipType` | `get(java.lang.String literal)` Returns the 'Parent Document Relationship Type' literal with the specified literal value.
`static ParentDocumentRelationshipType` | `getByName(java.lang.String name)` Returns the 'Parent Document Relationship Type' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### XFRM

    public static final int XFRM

  The 'XFRM' literal value.

  If the meaning of 'XFRM' literal object isn't clear, there really should be more of a description here...

  See Also:
    `XFRM_LITERAL`, Constant Field Values

### RPLC

    public static final int RPLC

  The 'RPLC' literal value.

  If the meaning of 'RPLC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RPLC_LITERAL`, Constant Field Values

### APND

    public static final int APND

  The 'APND' literal value.

  If the meaning of 'APND' literal object isn't clear, there really should be more of a description here...

  See Also:
    `APND_LITERAL`, Constant Field Values

### XFRMRPLC

    public static final int XFRMRPLC

  The 'XFRMRPLC' literal value.

  If the meaning of 'XFRMRPLC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `XFRMRPLC_LITERAL`, Constant Field Values

### XFRM_LITERAL

    public static final ParentDocumentRelationshipType XFRM_LITERAL

  The 'XFRM' literal object.

  See Also:
    `XFRM`

### RPLC_LITERAL

    public static final ParentDocumentRelationshipType RPLC_LITERAL

  The 'RPLC' literal object.

  See Also:
    `RPLC`

### APND_LITERAL

    public static final ParentDocumentRelationshipType APND_LITERAL

  The 'APND' literal object.

  See Also:
    `APND`

### XFRMRPLC_LITERAL

    public static final ParentDocumentRelationshipType XFRMRPLC_LITERAL

  The 'XFRMRPLC' literal object.

  See Also:
    `XFRMRPLC`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Parent Document Relationship Type' enumerators.

Method Detail

### get

    public static ParentDocumentRelationshipType get(java.lang.String literal)

  Returns the 'Parent Document Relationship Type' literal with the specified literal value.

### getByName

    public static ParentDocumentRelationshipType getByName(java.lang.String name)

  Returns the 'Parent Document Relationship Type' literal with the specified name.

### get

    public static ParentDocumentRelationshipType get(int value)

  Returns the 'Parent Document Relationship Type' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD